const navbar = document.querySelector("nav");

let lastScroll = 0;

window.addEventListener(
  "scroll",
  () => {
    let scrollY = window["scrollY"];
    if (lastScroll > scrollY) {
      navbar.style.top = "0";
    } else {
      navbar.style.top = navbar.offsetHeight * -1 + "px";
    }
    lastScroll = scrollY;
  },
  { passive: true }
);
